Run quality assurance on selected segments and save segments
curl --request POST \
--url https://cloud.memsource.com/web/api2/v4/projects/{projectUid}/jobs/qualityAssurances/segments/{segmentId}/runWithUpdate \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/octet-stream' \
--data '{}'import requests
url = "https://cloud.memsource.com/web/api2/v4/projects/{projectUid}/jobs/qualityAssurances/segments/{segmentId}/runWithUpdate"
payload = {}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/octet-stream"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/octet-stream'},
body: JSON.stringify({})
};
fetch('https://cloud.memsource.com/web/api2/v4/projects/{projectUid}/jobs/qualityAssurances/segments/{segmentId}/runWithUpdate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"finished": true,
"segmentWarnings": [
{
"ignoredChecks": [
"<string>"
],
"segmentId": "<string>",
"warnings": [
{
"type": "<string>",
"id": "<string>",
"ignored": true,
"repetitionGroupId": "<string>"
}
]
}
]
}Quality Assurance
Run quality assurance on selected segments and save segments
Saves the uploaded segments and runs quality assurance checks on them, returning any warnings found. Checks can detect issues such as tags and formatting (missing, misplaced, or malformed tags; inconsistent tag content; missing or redundant line breaks), numbers, terminology, spelling, forbidden strings, translation length, whitespace, repeated words, unresolved comments and conversations, and source/target consistency. By default runs only fast running checks.
POST
/
api2
/
v4
/
projects
/
{projectUid}
/
jobs
/
qualityAssurances
/
segments
/
{segmentId}
/
runWithUpdate
Run quality assurance on selected segments and save segments
Authorizations
ApiTokenOAuth2
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
UID of the project
URL-encoded segment identifier
Body
application/octet-streammultipart/form-data
The body is of type object.
Was this page helpful?